Package org.silverpeas.mobile.client.common.file

## Class FileMgr.FileReader

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - org.silverpeas.mobile.client.common.file.FileMgr.FileBase
    - - org.silverpeas.mobile.client.common.file.FileMgr.FileReader

- Enclosing class:
    FileMgr

      public static class FileMgr.FileReader
      extends FileMgr.FileBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FileMgr.FileReader.ReadyState` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FileReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileMgr.FileReader.ReadyState` | `getReadyState()` |
    `void` | `onLoad​(FileMgr.EventCallback callback)` |
    `void` | `onLoadEnd​(FileMgr.EventCallback callback)` |
    `void` | `onLoadStart​(FileMgr.EventCallback callback)` |
    `void` | `readAsDataURL​(FileMgr.File file)` |
    `void` | `readAsText​(FileMgr.File file)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.file.FileMgr.FileBase

      `abort, getError, getFileName, getReadyStateNative, getResult, onAbort, onError, onProgress`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileReader

          protected FileReader()

  - ### Method Detail

    - #### getReadyState

          public final FileMgr.FileReader.ReadyState getReadyState()

    - #### onLoadStart

          public final void onLoadStart​(FileMgr.EventCallback callback)

    - #### onLoad

          public final void onLoad​(FileMgr.EventCallback callback)

    - #### onLoadEnd

          public final void onLoadEnd​(FileMgr.EventCallback callback)

    - #### readAsDataURL

          public final void readAsDataURL​(FileMgr.File file)

    - #### readAsText

          public final void readAsText​(FileMgr.File file)